Bug 17967

Summary: TT syntax for notices - Prove that ODUE is compatible
Product: Koha Reporter: Jonathan Druart <jonathan.druart+koha>
Component: Architecture, internals, and plumbingAssignee: Jonathan Druart <jonathan.druart+koha>
Status: CLOSED FIXED QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: fridolin.somers, veron
Version: unspecified   
Hardware: All   
OS: All   
See Also: https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=17976
Change sponsored?: --- Patch complexity: ---
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Bug Depends on: 17966, 17969    
Bug Blocks: 17961    
Attachments: Bug 17967: TT syntax for notices - Prove that ODUE is compatible
Bug 17967: TT syntax for notices - Prove that ODUE is compatible
Bug 17967: TT syntax for notices - Prove that ODUE is compatible
Bug 17967: TT syntax for notices - Prove that ODUE is compatible
Bug 17967: TT syntax for notices - Prove that ODUE is compatible

Description Jonathan Druart 2017-01-23 13:16:33 UTC

    
Comment 1 Jonathan Druart 2017-01-23 18:07:16 UTC
Created attachment 59451 [details] [review]
Bug 17967: TT syntax for notices - Prove that ODUE is compatible

Nothing new here, unless we are introducing a regression.
The items.fine is a trick of our historical syntax.
We need to provide a way to access this value from the a notice template
using the TT syntax.
A bug 17976 has been opened for discussion.

Test plan:
Define ODUE and OVERDUES_SLIP notice templates and use it to generate
overdue notices from the cronjob script (misc/cronjobs/overdue_notices.pl)
or the interface (members/print_overdues.pl).

You should be able to generate the same notices with and without using
the TT syntax
Comment 2 Jonathan Druart 2017-03-24 18:13:47 UTC
Created attachment 61628 [details] [review]
Bug 17967: TT syntax for notices - Prove that ODUE is compatible

Nothing new here, unless we are introducing a regression.
The items.fine is a trick of our historical syntax.
We need to provide a way to access this value from the a notice template
using the TT syntax.
A bug 17976 has been opened for discussion.

Test plan:
Define ODUE and OVERDUES_SLIP notice templates and use it to generate
overdue notices from the cronjob script (misc/cronjobs/overdue_notices.pl)
or the interface (members/print_overdues.pl).

You should be able to generate the same notices with and without using
the TT syntax
Comment 3 Jonathan Druart 2017-06-05 17:02:33 UTC
Created attachment 63977 [details] [review]
Bug 17967: TT syntax for notices - Prove that ODUE is compatible

Nothing new here, unless we are introducing a regression.
The items.fine is a trick of our historical syntax.
We need to provide a way to access this value from the a notice template
using the TT syntax.
A bug 17976 has been opened for discussion.

Test plan:
Define ODUE and OVERDUES_SLIP notice templates and use it to generate
overdue notices from the cronjob script (misc/cronjobs/overdue_notices.pl)
or the interface (members/print_overdues.pl).

You should be able to generate the same notices with and without using
the TT syntax
Comment 4 Kyle M Hall 2017-08-08 18:01:16 UTC
Created attachment 65686 [details] [review]
Bug 17967: TT syntax for notices - Prove that ODUE is compatible

Nothing new here, unless we are introducing a regression.
The items.fine is a trick of our historical syntax.
We need to provide a way to access this value from the a notice template
using the TT syntax.
A bug 17976 has been opened for discussion.

Test plan:
Define ODUE and OVERDUES_SLIP notice templates and use it to generate
overdue notices from the cronjob script (misc/cronjobs/overdue_notices.pl)
or the interface (members/print_overdues.pl).

You should be able to generate the same notices with and without using
the TT syntax

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Kyle M Hall 2017-09-01 17:48:16 UTC
Created attachment 66774 [details] [review]
Bug 17967: TT syntax for notices - Prove that ODUE is compatible

Nothing new here, unless we are introducing a regression.
The items.fine is a trick of our historical syntax.
We need to provide a way to access this value from the a notice template
using the TT syntax.
A bug 17976 has been opened for discussion.

Test plan:
Define ODUE and OVERDUES_SLIP notice templates and use it to generate
overdue notices from the cronjob script (misc/cronjobs/overdue_notices.pl)
or the interface (members/print_overdues.pl).

You should be able to generate the same notices with and without using
the TT syntax

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Jonathan Druart 2017-09-01 20:19:40 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin Somers 2017-10-10 09:12:07 UTC
Enhancement not pushed to 17.05.x